<?php

// API routes  for automobile
Route::prefix('{guard}/automobile')->group(function () {
    Route::get('automobile/form/{element}', 'AutomobileAPIController@form');
    Route::resource('automobile', 'AutomobileAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for automobiles
            Route::prefix('{guard}/automobile')->group(function () {
                Route::get('automobile/form/{element}', 'AutomobileAPIController@form');
                Route::apiResource('automobile', 'AutomobileAPIController');
            });
            // Public routes for automobiles
            Route::get('automobile/Automobile', 'AutomobilePublicController@getAutomobile');
        }
    );
}


// API routes  for accessory
Route::prefix('{guard}/automobile')->group(function () {
    Route::get('accessory/form/{element}', 'AccessoryAPIController@form');
    Route::resource('accessory', 'AccessoryAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for automobiles
            Route::prefix('{guard}/automobile')->group(function () {
                Route::get('accessory/form/{element}', 'AccessoryAPIController@form');
                Route::apiResource('accessory', 'AccessoryAPIController');
            });
            // Public routes for automobiles
            Route::get('automobile/Accessory', 'AccessoryPublicController@getAccessory');
        }
    );
}

